/****************************************************************************/
/* WebWorks Help API                                                        */
/*                                                                          */
/*                                                                          */
/****************************************************************************/


#ifndef WWHELP_URL_H
#define WWHELP_URL_H


#include <stdlib.h>


#ifdef __cplusplus
extern "C"
{
#endif

/****************************************************************************/
/* Define NULL                                                              */
/*                                                                          */
/****************************************************************************/

#ifndef NULL
#define NULL 0
#endif

/****************************************************************************/
/* WebWorks Help URL manipulation functions                                 */
/*                                                                          */
/****************************************************************************/

int  WWHelp_URL_EscapeForJavaScript(const char*   pParamURL,
                                    const size_t  ParamURLLength,
                                          char**  hParamEscapedURL,
                                          size_t* pParamEscapedURLLength);

int  WWHelp_URL_Unescape(const char*   pParamURL,
                         const size_t  ParamURLLength,
                               char**  hParamUnescapedURL,
                               size_t* pParamUnescapedURLLength);

int  WWHelp_URL_BuildSmartURL(const char*   pParamURL,
                              const size_t  ParamURLLength,
                                    char**  hParamSmartURL,
                                    size_t* pParamSmartURLLength);

#ifdef __cplusplus
}
#endif


#endif
